Bug 185171 - Add floppy-* nodes for USB floppy drives
Add floppy-* nodes for USB floppy drives
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2006-03-10 22:19 EST by Chris Adams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-06 08:05:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2006-03-10 22:19:45 EST
The following udev rule will create /dev/floppy-sdX for USB floppy drives:

BUS="usb", KERNEL="sd*", SYSFS{bInterfaceClass}="08",
SYSFS{bInterfaceSubClass}="04", GROUP="floppy", MODE="0660", SYMLINK="floppy-%k"

The key is bInterfaceClass=08 (Mass Storage) and bInterfaceSubClass=04 (Floppy).
 Making the floppy-sdX symlink gets permissions assigned to the console user (so
mtools can be used).

The annoying thing is I don't see a way to create /dev/fd0, /dev/fd1, etc. as
appropriate.  So using mtools is annoying; with one floppy drive attached, you
have to do something like "mdir -i /dev/floppy-sdb ::" instead of just "mdir".
Comment 1 Chris Adams 2006-12-21 21:50:59 EST
Well, I typoed the above, and I've improved on it some.  I'm now using:

BUS=="usb", KERNEL="sd*", SYSFS{bInterfaceClass}=="08",
SYSFS{bInterfaceSubClass}=="04", GROUP="floppy", MODE="0660", SYMLINK="floppy-%k

This makes the first USB floppy found fd0 if there isn't already an fd0 (so
things like mtools work out-of-the-box), and they all show up as floppy-sdX.

Is there any chance Fedora will add this?
Comment 2 Harald Hoyer 2006-12-22 08:06:02 EST
yep, nice idea :) will do after x-mas

Note You need to log in before you can comment on or make changes to this bug.